> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Numbers

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json GET /account_numbers
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /account_numbers:
    get:
      summary: List Account Numbers
      operationId: list-account-numbers
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          required: true
          schema:
            type: string
        - name: starting_after
          in: query
          description: >-
            A cursor to use in pagination. `starting_after` is an Account Number
            ID that defines your place in the list. For example, if you make a
            list request and receive 300 Account Numbers, ending with
            `acno_foo`, your subsequent call can include
            `starting_after=acno_foo` to fetch the next page of the list.
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            A cursor to use in pagination. `ending_before` is an account number
            ID that defines your place in the list. For example, if you make a
            list request and receive 300 Account Numbers, starting with
            `acno_bar`, your subsequent call can include
            `ending_before=acno_bar` to fetch the previous page of the list.
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            limit on the number of objects to return per page, ranging between 1
            and 300.
          schema:
            type: integer
            format: int32
            default: 30
        - name: account_id
          in: query
          description: Optionally filter by Account.
          schema:
            type: string
            default: acc_Lq7dP901xZgA2B
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````